10.14 says 1.9.3 kexts are "incompatible"

All your general support questions for OpenZFS on OS X.

Re: 10.14 says 1.9.3 kexts are "incompatible"

Postby thesix » Fri Jul 17, 2020 7:37 am

FabriceB wrote:I got stuck in the same situation with 1.9.3.1.

If found this:
https://forums.ivanti.com/s/article/How ... from-macOS

And indeed I see:
735AM5QEU3|net.lundman.kernel.dependencies.32|1|Joergen Lundman|5
735AM5QEU3|net.lundman.kernel.dependencies.33|0|Joergen Lundman|4

32 was allowed, not 33.

This link looks intersting too:
https://pikeralpha.wordpress.com/2017/0 ... n-loading/

This link provides the solution. Booting in rescue mode, and launching the command

spctl kext-consent add 735AM5QEU3

Solved my problem


Just want to say Thank You for posting the information above.
I run into the same or similar issue when I tried to install 1.9.4 on Catalina (already at 10.15.6) where 1.9.3 was installed and worked fine.
Googled and tried for several hours until I read your post.
What fixed for me is this (in sqlite3):

delete from kext_policy where Team_ID = 735AM5QEU3

It's strange that in the doc you pointed to:
https://forums.ivanti.com/s/article/How ... from-macOS

The command seems to be wrong as it tries to delete rows in kext_policy_mdm instead of kext_policy.
Since I already know sqlite3, I could figured it out.

I plan to make a separate post with more details of my issue and the solution, later ... it's been a long night, with a happy ending :)

Thank you!
thesix
 
Posts: 1
Joined: Fri Jul 17, 2020 6:27 am

Previous

Return to General Help

Who is online

Users browsing this forum: No registered users and 1 guest